<template>
  <div class="knowledge-con">
    <navs :isLogin="isLogin" :rightText="rightText" @went="goBack()" :saveText="saveText" @save="save"></navs>

    <div class="note-text">
      <textarea name="node" class="node-textarea" id="note" :placeholder="nodeplace" v-model="content"></textarea>
    </div>


  </div>
</template>

<script>
  import navs from '../components/headers.vue';
  import M from '../utils/api.js';
  export default {
    name: 'loading',
    data () {
      return {
        heights: window.innerHeight,
        isLogin: false,
        rightText: "记笔记",
        isFooter: false,
        isChecked: true,
        saveText:"保存",
        nodeplace:"说点什么",
        content:"",
        subjectId:this.$route.query.subjectId,
        knowledgeId:this.$route.query.knowledgeId,
        exercisesId:this.$route.query.exercisesId,
        noteId:this.$route.query.noteId
      }
    },
    created(){

    },
    methods: {
      goBack(){
        window.history.go(-1);
      },
      save(){
        let vm=this,
             paras={exercisesId:vm.exercisesId,content:vm.content},
             nParas={noteId:vm.noteId,content:vm.content};
        if(!this.noteId){
          M.addNote(function(data){
            if(data.status=='success'){
              vm.$router.push({path:"/exersice",query:{exercisesId:vm.exercisesId,
                knowledgeId:vm.knowledgeId}})
            }
          },paras)
        }else{
            M.editNote(function(data){
              vm.$router.push({path:"/exersice",query:{exercisesId:vm.exercisesId}});
            },nParas)
        }

      }
    },
    components: {
      navs
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  @import "../styles/base.css";
  @import "../styles/loading.css";
</style>
